Get an event
curl --request GET \
--url https://sandbox.voice.miraiminds.co/v2/webhooks/events/{webhook_event_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.voice.miraiminds.co/v2/webhooks/events/{webhook_event_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const url = 'https://sandbox.voice.miraiminds.co/v2/webhooks/events/{webhook_event_id}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": "evt_01K9V2E6G8J0M2P4R6T8W0Y2A4",
"type": "call.processing.completed",
"created_at": "2026-10-10T06:30:12.481Z",
"schema_version": "2026-09-22",
"workspace_id": "ws_example",
"subject": {
"type": "call",
"id": "call_01K9V1Z9X7V5T3R1P9N7M5K3H1"
},
"source_id": "call_01K9V1Z9X7V5T3R1P9N7M5K3H1:processing:1",
"test": false,
"data": {
"call": {
"id": "call_01K9V1Z9X7V5T3R1P9N7M5K3H1",
"agent_id": "agt_01K2M4P7QRSTVWXYZ0A1B2C3",
"status": "completed"
},
"processing": {
"version": 1,
"state": "completed",
"outcome": "completed",
"stages": {
"analysis": {
"state": "completed",
"generation": 1
},
"recording": {
"state": "completed",
"generation": 1
},
"transcript": {
"state": "completed",
"generation": 1
},
"post_call_tools": {
"state": "skipped",
"generation": 1
}
}
}
}
}{
"error": {
"code": "not_found",
"message": "Webhook resource not found."
}
}Webhooks
Get an event
The exact event body that was signed and sent. Kept for 30 days.
GET
/
v2
/
webhooks
/
events
/
{webhook_event_id}
Get an event
curl --request GET \
--url https://sandbox.voice.miraiminds.co/v2/webhooks/events/{webhook_event_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.voice.miraiminds.co/v2/webhooks/events/{webhook_event_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const url = 'https://sandbox.voice.miraiminds.co/v2/webhooks/events/{webhook_event_id}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": "evt_01K9V2E6G8J0M2P4R6T8W0Y2A4",
"type": "call.processing.completed",
"created_at": "2026-10-10T06:30:12.481Z",
"schema_version": "2026-09-22",
"workspace_id": "ws_example",
"subject": {
"type": "call",
"id": "call_01K9V1Z9X7V5T3R1P9N7M5K3H1"
},
"source_id": "call_01K9V1Z9X7V5T3R1P9N7M5K3H1:processing:1",
"test": false,
"data": {
"call": {
"id": "call_01K9V1Z9X7V5T3R1P9N7M5K3H1",
"agent_id": "agt_01K2M4P7QRSTVWXYZ0A1B2C3",
"status": "completed"
},
"processing": {
"version": 1,
"state": "completed",
"outcome": "completed",
"stages": {
"analysis": {
"state": "completed",
"generation": 1
},
"recording": {
"state": "completed",
"generation": 1
},
"transcript": {
"state": "completed",
"generation": 1
},
"post_call_tools": {
"state": "skipped",
"generation": 1
}
}
}
}
}{
"error": {
"code": "not_found",
"message": "Webhook resource not found."
}
}Authorizations
Your workspace secret key, sk_live_ followed by 32 hex characters. Create one in the console under Developers.
Path Parameters
⌘I